メインコンテンツへスキップ
POST
Update Finding Status

承認

Authorization
string
header
必須

API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.

パスパラメータ

finding_id
string<uuid>
必須

UUID of the finding

ボディ

application/json
status
enum<string>
必須

New finding status

利用可能なオプション:
ACTIVE,
RESOLVED,
ARCHIVED
resolve_reason
enum<string> | null

Resolution reason. FALSE_POSITIVE is only valid when status is ARCHIVED and requires resolve_context.

利用可能なオプション:
FIX,
WONT_FIX,
FALSE_POSITIVE,
null
resolve_context
string | null

Optional resolution context. Required when archiving a FALSE_POSITIVE.

Maximum string length: 2000

レスポンス

Finding status updated successfully

finding_id
string<uuid>
必須
status
enum<string>
必須
利用可能なオプション:
ACTIVE,
RESOLVED,
ARCHIVED
updated
boolean
必須